The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Раздел полезных советов: Установка ATI Catalyst 8.5 в Ubuntu..."
Вариант для распечатки  
Пред. тема | След. тема 
Форумы Разговоры, обсуждение новостей (Public)
Изначальное сообщение [ Отслеживать ]

"Раздел полезных советов: Установка ATI Catalyst 8.5 в Ubuntu..."  
Сообщение от auto_tips on 30-Май-08, 08:53 
1. Скачать ati-driver-installer-8-5-x86.x86_64.run

2. В консоли выполнить для синхронизации списка пакетов, доступных в репозиториях:

   sudo apt-get update

Затем, установить пакеты, необходимые для сборки модуля ядра из исходных текстов и создания deb пакета:

   sudo apt-get install build-essential fakeroot dh-make debhelper debconf libstdc++5 dkms linux-headers-$(uname -r)

3. В консоли запускаем инсталлятор драйвера в режиме создания пакетов:

   sudo sh ati-driver-installer-8-5-x86.x86_64.run --buildpkg Ubuntu/8.04


4. Теперь нужно занести в черный список драйвер fglrx из репозитория Ubuntu, выполняем

   sudo gedit /etc/default/linux-restricted-modules-common

и в строке "DISABLED_MODULES" добавляем "fglrx"
получаем строку:

   DISABLED_MODULES="fglrx"

сохраняем файл

5. далее в консоли устанавливаем подготовленные пакеты с драйвером:

   sudo dpkg -i xorg-driver-fglrx_8.493*.deb fglrx-kernel-source_8.493*.deb fglrx-amdcccle_8.493*.deb


6. Перезагружаем X сервер.

7. проверяем:

   $ fglrxinfo
   display: :0.0 screen: 0
   OpenGL vendor string: ATI Technologies Inc.
   OpenGL renderer string: Radeon X1900 Series
   OpenGL version string: 2.1.7537 Release

PS: все вышесказанное проверялось на i386 конфигурации с видеокартой X1900,
для amd64 возможны небольшие отличая в установке.

Оригинал: http://pronix.isgreat.org/news.php?item.86.5


URL: http://pronix.isgreat.org/news.php?item.86.5
Обсуждается: https://www.opennet.ru/tips/info/1679.shtml

Высказать мнение | Ответить | Правка | Cообщить модератору

 Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Установка ATI Catalyst 8.5 в Ubuntu 8.04"  
Сообщение от mr.Ded on 30-Май-08, 08:53 
все выполнил по инструкции.

ded@amilo-laptop:~$ fglrxinfo
display: :0.0  screen: 0
OpenGL vendor string: DRI R300 Project
OpenGL renderer string: Mesa DRI R300 20060815 x86/MMX+/3DNow!+/SSE2 NO-TCL
OpenGL version string: 1.3 Mesa 7.0.3-rc2

Segmentation fault

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

2. "Установка ATI Catalyst 8.5 в Ubuntu 8.04"  
Сообщение от mr.Ded on 30-Май-08, 09:07 
сорри, поставил галочку в диспечере драйверов теперь:
ded@amilo-laptop:~$ fglrxinfo
display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon Xpress Series
OpenGL version string: 2.1.7537 Release

спасиб. ща буду тестить))

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

3. "Установка ATI Catalyst 8.5 в Ubuntu 8.04"  
Сообщение от Azgilliot on 31-Май-08, 00:23 
в консоле ввёл:
sudo dpkg -i xorg-driver-fglrx_8.493*.deb fglrx-kernel-source_8.493*.deb fglrx-amdcccle_8.493*.deb
после чего в самом конце процесса появилось:
Настраивается пакет fglrx-kernel-source (2:8.493.1-0ubuntu1) ...
Adding Module to DKMS build system
Doing initial module build
Installing initial module
Done.

При обработке следующих пакетов произошли ошибки:
fglrx-amdcccle_8.493.1-0ubuntu1_i386.deb

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

4. "Установка ATI Catalyst 8.5 в Ubuntu 8.04"  
Сообщение от fakeroot on 05-Июн-08, 11:31 
to Azgilliot
sudo apt-get install build-essential fakeroot dh-make debhelper debconf libstdc++5 dkms ?!
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

5. "Установка ATI Catalyst 8.5 в Ubuntu 8.04"  
Сообщение от vans (??) on 06-Июн-08, 22:59 
после ввода
sudo dpkg -i xorg-driver-fglrx_8.493*.deb fglrx-kernel-source_8.493*.deb fglrx-amdcccle_8.493*.deb


Error! DKMS tree already contains: fglrx-8.493.1
You cannot add the same module/version combo more than once.
Doing initial module build

Error! This module/version has already been built on: 2.6.24-18-generic
Directory: /var/lib/dkms/fglrx/8.493.1/2.6.24-18-generic/i686
already exists.  Use the dkms remove function before trying to build again.
Installing initial module

Error! This module/version combo is already installed
for kernel: 2.6.24-18-generic (i686)
Done.


Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

6. "Установка ATI Catalyst 8.5 в Ubuntu 8.04"  
Сообщение от soldatof email on 11-Июн-08, 21:29 
После всех действий при просмотре инфы:
sol@sol-desktop:~$ fglrxinfo
fglrxinfo: error while loading shared libraries: libGL.so.1: wrong ELF class: ELFCLASS32
???
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

7. "Установка ATI Catalyst 8.5 в Ubuntu 8.04"  
Сообщение от leonder on 25-Июн-08, 11:53 
soldatof, очевидно, что нужно поставить пакет libGL.so.1, чем я через синаптик счас и занимаюсь...
Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

8. "Установка ATI Catalyst 8.5 в Ubuntu 8.04"  
Сообщение от Aizen email on 17-Сен-08, 14:57 
$ fglrxinfo
display: :0.0  screen: 0
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.4 (2.1 Mesa 7.0.3-rc2)

В "драйверах устройств" галочка снята ;/

Видеокарта ati radeon x1950gt

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Оцените тред (1=ужас, 5=супер)? [ 1 | 2 | 3 | 4 | 5 ] [Рекомендовать для помещения в FAQ]




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру